// This file is part of KeY - Integrated Deductive Software Design
// Copyright (C) 2001-2010 Universitaet Karlsruhe, Germany
//                         Universitaet Koblenz-Landau, Germany
//                         Chalmers University of Technology, Sweden
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.

package de.uka.ilkd.key.java.reference;

import de.uka.ilkd.key.java.JavaNonTerminalProgramElement;
import de.uka.ilkd.key.java.ProgramElement;
import de.uka.ilkd.key.java.visitor.Visitor;
import de.uka.ilkd.key.util.ExtList;

public class MemoryAreaEC extends JavaNonTerminalProgramElement 
     {

     private final ReferencePrefix memoryArea;

     public MemoryAreaEC(ReferencePrefix expression) {
 	 assert expression != null;
	 memoryArea=expression;
     }

     public MemoryAreaEC(ExtList children) {
	 memoryArea=(ReferencePrefix)children.get(ReferencePrefix.class);
     }
     
     public ReferencePrefix getReferencePrefix() {
	 return memoryArea;
     }

     public void visit(Visitor v) {
 	v.performActionOnMemoryAreaEC(this);
     }

     public int getChildCount() {
 	return (memoryArea!=null) ? 1 : 0;
     }

     public ProgramElement getChildAt(int index) {
 	if (index==0) return memoryArea;
 	return null;
     }

     public String toString() {
	 return "[[mem=" + memoryArea + "]]";
     }
 }
